# ResetFrame

## Syntax

```lua
Susano.ResetFrame() -> void
```

## Parameters

{% hint style="info" %}
None
{% endhint %}

## Return(s)

{% hint style="info" %}
None
{% endhint %}

## Behavior

{% hint style="info" %}
Removes this coroutine’s current build buffer **and** the last submitted render buffer.

Cancels any pending `SubmitFrame()` for this coroutine.

Effect is immediate on next `Overlay` rendering (nothing from this coroutine will render).

Other coroutines’ drawings are unaffected.
{% endhint %}

## Example(s)

```lua
-- emergency wipe of your overlay
Susano.ResetFrame()

-- rebuild a fresh frame after clearing
Susano.BeginFrame()
Susano.DrawText(40, 40, "reloaded", 18, 1,1,1,1)
Susano.SubmitFrame()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.susano.re/api-reference/drawing-functions/resetframe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
